dbXML API

## org.dbxml.xml
Class XMLCompressedOutput

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.io.DataOutputStream
                        |
                        +--org.dbxml.xml.XMLCompressedOutput

All Implemented Interfaces:
  java.io.DataOutput

Direct Known Subclasses:
  DOMCompressor

public class XMLCompressedOutput
extends java.io.DataOutputStream

XMLCompressedInput is an OutputStream extension that provides functions for writing types to a dbXML Compressed XML Stream.

Constructor Summary
`XMLCompressedOutput(java.io.OutputStream os, SymbolTable st)`

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write`

Constructor Detail

### XMLCompressedOutput

    public XMLCompressedOutput(java.io.OutputStream os,
                               SymbolTable st)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved